Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Sormhr

    java.lang.Object
      org.netlib.lapack.Sormhr

    public class Sormhr

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SORMHR overwrites the general real M-by-N matrix C with
     *
     *                  SIDE = 'L'     SIDE = 'R'
     *  TRANS = 'N':      Q * C          C * Q
     *  TRANS = 'T':      Q**T * C       C * Q**T
     *
     *  where Q is a real orthogonal matrix of order nq, with nq = m if
     *  SIDE = 'L' and nq = n if SIDE = 'R'. Q is defined as the product of
     *  IHI-ILO elementary reflectors, as returned by SGEHRD:
     *
     *  Q = H(ilo) H(ilo+1) . . . H(ihi-1).
     *
     *  Arguments
     *  =========
     *
     *  SIDE    (input) CHARACTER*1
     *          = 'L': apply Q or Q**T from the Left;
     *          = 'R': apply Q or Q**T from the Right.
     *
     *  TRANS   (input) CHARACTER*1
     *          = 'N':  No transpose, apply Q;
     *          = 'T':  Transpose, apply Q**T.
     *
     *  M       (input) INTEGER
     *          The number of rows of the matrix C. M >= 0.
     *
     *  N       (input) INTEGER
     *          The number of columns of the matrix C. N >= 0.
     *
     *  ILO     (input) INTEGER
     *  IHI     (input) INTEGER
     *          ILO and IHI must have the same values as in the previous call
     *          of SGEHRD. Q is equal to the unit matrix except in the
     *          submatrix Q(ilo+1:ihi,ilo+1:ihi).
     *          If SIDE = 'L', then 1 <= ILO <= IHI <= M, if M > 0, and
     *          ILO = 1 and IHI = 0, if M = 0;
     *          if SIDE = 'R', then 1 <= ILO <= IHI <= N, if N > 0, and
     *          ILO = 1 and IHI = 0, if N = 0.
     *
     *  A       (input) REAL array, dimension
     *                               (LDA,M) if SIDE = 'L'
     *                               (LDA,N) if SIDE = 'R'
     *          The vectors which define the elementary reflectors, as
     *          returned by SGEHRD.
     *
     *  LDA     (input) INTEGER
     *          The leading dimension of the array A.
     *          LDA >= max(1,M) if SIDE = 'L'; LDA >= max(1,N) if SIDE = 'R'.
     *
     *  TAU     (input) REAL array, dimension
     *                               (M-1) if SIDE = 'L'
     *                               (N-1) if SIDE = 'R'
     *          TAU(i) must contain the scalar factor of the elementary
     *          reflector H(i), as returned by SGEHRD.
     *
     *  C       (input/output) REAL array, dimension (LDC,N)
     *          On entry, the M-by-N matrix C.
     *          On exit, C is overwritten by Q*C or Q**T*C or C*Q**T or C*Q.

     *
     *  LDC     (input) INTEGER
     *          The leading dimension of the array C. LDC >= max(1,M).
     *
     *  WORK    (workspace/output) REAL array, dimension (MAX(1,LWORK))
     *          On exit, if INFO = 0, WORK(1) returns the optimal LWORK.
     *
     *  LWORK   (input) INTEGER
     *          The dimension of the array WORK.
     *          If SIDE = 'L', LWORK >= max(1,N);
     *          if SIDE = 'R', LWORK >= max(1,M).
     *          For optimum performance LWORK >= N*NB if SIDE = 'L', and
     *          LWORK >= M*NB if SIDE = 'R', where NB is the optimal
     *          blocksize.
     *
     *          If LWORK = -1, then a workspace query is assumed; the routine
     *          only calculates the optimal size of the WORK array, returns
     *          this value as the first entry of the WORK array, and no error
     *          message related to LWORK is issued by XERBLA.
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit
     *          < 0:  if INFO = -i, the i-th argument had an illegal value
     *
     *  =====================================================================
     *
     *     .. Local Scalars ..

Constructor Summary
`Sormhr()`

Method Summary
`static void` | `sormhr(java.lang.String side, java.lang.String trans, int m, int n, int ilo, int ihi, float[] a, int _a_offset, int lda, float[] tau, int _tau_offset, float[] c, int _c_offset, int Ldc, float[] work, int _work_offset, int lwork, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Sormhr

    public Sormhr()

Method Detail

### sormhr

    public static void sormhr(java.lang.String side,
                              java.lang.String trans,
                              int m,
                              int n,
                              int ilo,
                              int ihi,
                              float[] a,
                              int _a_offset,
                              int lda,
                              float[] tau,
                              int _tau_offset,
                              float[] c,
                              int _c_offset,
                              int Ldc,
                              float[] work,
                              int _work_offset,
                              int lwork,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD